Income
Money received (cash basis), including invoice payments.
| Method | Path | Summary |
|---|---|---|
| GET | /api/companies/:companyId/income | List income |
| GET | /api/companies/:companyId/income/summary | Income received in a tax year (cash basis): invoice payments + the log |
| POST | /api/companies/:companyId/income | Record income |
| PUT | /api/companies/:companyId/income/:id | Update income |
| DELETE | /api/companies/:companyId/income/:id | Delete income |
#List income
GET
/api/companies/:companyId/income- Address
https://<your-org>.brambleit.cloud/simplebooks/api/companies/:companyId/income- Requires
- Signed-in browser session (the
sso_session/session_idcookies from Bramble sign-in).
Licence: SimpleBooks.
Path parameters
| Name | Type | Description |
|---|---|---|
companyIdrequired | integer |
Query parameters
| Name | Type | Description |
|---|---|---|
tax_year | any |
Response 200
| Field | Type | Description |
|---|---|---|
income | array of object | |
income[].id | integer | |
income[].company_id | integer | |
income[].customer_id | integer, or null | |
income[].payer | string, or null | |
income[].received_on | string (date) | |
income[].tax_year | string | |
income[].description | string, or null | |
income[].gross | number | |
income[].cis_deducted | number | |
income[].vat | number | |
income[].net | number | |
income[].reference | string, or null | |
income[].notes | string, or null | |
income[].created_by | integer, or null | |
income[].created_at | string (date-time) | |
income[].updated_at | string (date-time) | |
income[].deleted_at | string (date-time), or null | |
income[].customer_name | string | |
payers | array of any |
Example response
JSON
{
"income": [
{
"id": 42,
"company_id": 7,
"customer_id": 7,
"payer": "string",
"received_on": "2026-11-12",
"tax_year": "string",
"description": "string",
"gross": 12.5,
"cis_deducted": 12.5,
"vat": 12.5,
"net": 12.5,
"reference": "string",
"notes": "string",
"created_by": 1,
"created_at": "2026-11-12T09:30:00.000Z",
"updated_at": "2026-11-12T09:30:00.000Z",
"deleted_at": "2026-11-12T09:30:00.000Z",
"customer_name": "Example customer name"
}
],
"payers": []
}Example request
JavaScript
// From a page served by Bramble (uses the signed-in session)
const res = await fetch('/simplebooks/api/companies/1/income', {
method: 'GET',
credentials: 'include',
});
const data = await res.json();#Income received in a tax year (cash basis): invoice payments + the log
GET
/api/companies/:companyId/income/summary- Address
https://<your-org>.brambleit.cloud/simplebooks/api/companies/:companyId/income/summary- Requires
- Signed-in browser session (the
sso_session/session_idcookies from Bramble sign-in).
Licence: SimpleBooks.
Path parameters
| Name | Type | Description |
|---|---|---|
companyIdrequired | integer |
Query parameters
| Name | Type | Description |
|---|---|---|
tax_year | any |
Response 200
| Field | Type | Description |
|---|---|---|
tax_year | any |
Example response
JSON
{
"tax_year": null,
"…await taxreturn.incomeTo": "…"
}Example request
JavaScript
// From a page served by Bramble (uses the signed-in session)
const res = await fetch('/simplebooks/api/companies/1/income/summary', {
method: 'GET',
credentials: 'include',
});
const data = await res.json();#Record income
POST
/api/companies/:companyId/income- Address
https://<your-org>.brambleit.cloud/simplebooks/api/companies/:companyId/income- Requires
- Signed-in browser session (the
sso_session/session_idcookies from Bramble sign-in).
Licence: SimpleBooks.
Path parameters
| Name | Type | Description |
|---|---|---|
companyIdrequired | integer |
Response 201
| Field | Type | Description |
|---|---|---|
id | integer |
Example response
JSON
{
"id": 42
}Errors
| Status | Message |
|---|---|
| 400 | Unknown customer |
| 400 | Who paid you? |
Example request
JavaScript
// From a page served by Bramble (uses the signed-in session)
const res = await fetch('/simplebooks/api/companies/1/income', {
method: 'POST',
credentials: 'include',
});
const data = await res.json();#Update income
PUT
/api/companies/:companyId/income/:id- Address
https://<your-org>.brambleit.cloud/simplebooks/api/companies/:companyId/income/:id- Requires
- Signed-in browser session (the
sso_session/session_idcookies from Bramble sign-in).
Licence: SimpleBooks.
Path parameters
| Name | Type | Description |
|---|---|---|
companyIdrequired | integer | |
idrequired | number |
Request body JSON
| Name | Type | Description |
|---|---|---|
received_on | string (date) | |
customer_id | number | |
payer | string | |
description | string | |
reference | string | |
notes | string | |
gross | array of any | |
cis_deducted | any | |
vat | any |
Response 200
| Field | Type | Description |
|---|---|---|
ok | boolean |
Example response
JSON
{
"ok": true
}Errors
| Status | Message |
|---|---|
| 404 | Not found |
Example request
JavaScript
// From a page served by Bramble (uses the signed-in session)
const res = await fetch('/simplebooks/api/companies/1/income/12.5', {
method: 'PUT',
credentials: 'include',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({"received_on":"2026-11-12","customer_id":12.5,"payer":"string","description":"string","reference":"string","notes":"string","gross":[],"cis_deducted":"…","vat":"…"}),
});
const data = await res.json();#Delete income
DELETE
/api/companies/:companyId/income/:id- Address
https://<your-org>.brambleit.cloud/simplebooks/api/companies/:companyId/income/:id- Requires
- Signed-in browser session (the
sso_session/session_idcookies from Bramble sign-in).
Licence: SimpleBooks.
Path parameters
| Name | Type | Description |
|---|---|---|
companyIdrequired | integer | |
idrequired | number |
Response 200
| Field | Type | Description |
|---|---|---|
ok | boolean |
Example response
JSON
{
"ok": true
}Errors
| Status | Message |
|---|---|
| 404 | Not found |
Example request
JavaScript
// From a page served by Bramble (uses the signed-in session)
const res = await fetch('/simplebooks/api/companies/1/income/12.5', {
method: 'DELETE',
credentials: 'include',
});
const data = await res.json();Was this page helpful?
Thanks for your feedback.